unit uViewSubcontrataObra;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewDatosYSeleccionProveedor, ImgList, PngImageList, ActnList, DB,
  uDAInterfaces, uDADataTable, dxLayoutControl, StdCtrls, Buttons, cxContainer,
  cxEdit, cxTextEdit, cxDBEdit, cxControls;

type
  TfrViewSubcontrataObra = class(TfrViewDatosYSeleccionProveedor)
    dxLayoutControl1Item10: TdxLayoutItem;
    edtPersonaContacto: TcxDBTextEdit;
    dxLayoutControl1Item11: TdxLayoutItem;
    edtReferenciaAsignada: TcxDBTextEdit;
    dxLayoutControl1Item13: TdxLayoutItem;
    edtTlf: TcxDBTextEdit;
    dxLayoutControl1Group4: TdxLayoutGroup;
  protected
    procedure ElegirProveedorInternal; override;
  public
    { Public declarations }
  end;


implementation

{$R *.dfm}

uses
  uBizContactos;

{ TfrViewSubcontrataObra }

procedure TfrViewSubcontrataObra.ElegirProveedorInternal;
var
  AProveedor : IBizProveedor;
begin
  // inherited; <- No llamar al padre
  MsgElegirProveedor := ' '; 
  AProveedor := (Controller.ElegirContacto(Controller.BuscarSubcontratas,
    MsgElegirProveedor, False) as IBizProveedor);

  if Assigned(AProveedor) then
  begin
    Self.Update;
    ShowHourglassCursor;
    try
      Proveedor := AProveedor;
    finally
      HideHourglassCursor;
    end;
  end;
end;

end.
